<<

# Bugzilla::UserAgent

- NAME
- SYNOPSIS
- DESCRIPTION
- FUNCTIONS

# NAME

Bugzilla::UserAgent - UserAgent utilities for Bugzilla

# SYNOPSIS

      use Bugzilla::UserAgent;
      printf "platform: %s op-sys: %s\n", detect_platform(), detect_op_sys();

# DESCRIPTION

The functions exported by this module all return information derived from the remote client's user agent.

# FUNCTIONS

`detect_platform`

  This function attempts to detect the remote client's platform from the presented user-agent. If a suitable value on the platform field is found, that field value will be returned. If no suitable value is detected, `detect_platform` returns Other.

`detect_op_sys`

  This function attempts to detect the remote client's operating system from the presented user-agent. If a suitable value on the op_sys field is found, that field value will be returned. If no suitable value is detected, `detect_op_sys` returns Other.

<<